Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.circuit
Class CircuitDelegatePerBodyFilter

    java.lang.Object
      com.vordel.circuit.Filter
          com.vordel.circuit.VariablePropertiesFilter
              com.vordel.circuit.CircuitDelegateFilter
                  com.vordel.circuit.CircuitDelegatePerBodyFilter

All Implemented Interfaces:
  DelegatingFilter

    public class CircuitDelegatePerBodyFilter

extends CircuitDelegateFilter

A filter that delegates to a nested circuit.

Field Summary

Fields inherited from class com.vordel.circuit.CircuitDelegateFilter
`CIRCUIT_PK, delegatedCircuitPK`

Fields inherited from class com.vordel.circuit.VariablePropertiesFilter
`USER_ATTRIBUTE_FORMAT_REGEX, userAttributePattern`

Fields inherited from class com.vordel.circuit.Filter
`CAN_FAIL, CAN_SUCCEED, circuit, consumedProperties, contextLoader, EMPTY_SET, generatedProperties, name, requiredProperties`

Constructor Summary
`CircuitDelegatePerBodyFilter()`

Method Summary
`java.lang.Class<? extends FilterContainer>` | `getConfigPanelClass()` Get the Class which must be instantiated to configure the Filter.
`java.lang.Class<? extends MessageProcessor>` | `getMessageProcessorClass()` Get the Class which must be instantiated to process this Filter to implement a MessageProcessor
`void` | `setEntity(Entity e)` override of Filter.setEntity() used to trap changes to the delegate circuit's ESPK.

Methods inherited from class com.vordel.circuit.CircuitDelegateFilter
`delegatedProperties, getConsumedProperties, getDelegatedCircuitPK, getGeneratedProperties, getPK, getReferencedCircuitPKs, getRequiredProperties, setDelegatedCircuitPK, setName, updateRefs`

Methods inherited from class com.vordel.circuit.VariablePropertiesFilter
`configure, createHashSet, getLoggingWildcards, getRequiredPropertiesFromEntity, getRequiredPropertiesFromReferences, getWildcardAttributes, ignoreField, ignoreType, syncProps`

Methods inherited from class com.vordel.circuit.Filter
`getCircuitPK, getEntity, getFailureNode, getFailureNodePK, getName, getPossibleOutcomes, getSuccessNode, getSuccessNodePK, reconfigure, setCircuitPK, setDefaultProperties, setFailureNode, setShouldAbortProcessingOnLogError, setSuccessNode, shouldAbortProcessingOnLogError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CircuitDelegatePerBodyFilter

    public CircuitDelegatePerBodyFilter()

Method Detail

### setEntity

    public void setEntity(Entity e)

  Description copied from class: `CircuitDelegateFilter`
  override of Filter.setEntity() used to trap changes to the delegate circuit's ESPK.

  Overrides:
    `setEntity` in class `CircuitDelegateFilter`

### getMessageProcessorClass

    public java.lang.Class<? extends MessageProcessor> getMessageProcessorClass()
                                                                         throws java.lang.ClassNotFoundException

  Description copied from class: `Filter`
  Get the Class which must be instantiated to process this Filter to implement a MessageProcessor

  Overrides:
    `getMessageProcessorClass` in class `CircuitDelegateFilter`
  Returns:
    The Class to be instantiated. Should never be null.
  Throws:
    `java.lang.ClassNotFoundException` - If the class is unavailable

### getConfigPanelClass

    public java.lang.Class<? extends FilterContainer> getConfigPanelClass()
                                                                   throws java.lang.ClassNotFoundException

  Description copied from class: `Filter`
  Get the Class which must be instantiated to configure the Filter.

  Overrides:
    `getConfigPanelClass` in class `CircuitDelegateFilter`
  Returns:
    The Class to be instantiated. Should never be null.
  Throws:
    `java.lang.ClassNotFoundException` - If the class is unavailable

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel